CVE-2024-24150

CVSS 3.1 Score 6.5 of 10 (medium)

Details

Published Feb 29, 2024
Updated: Mar 12, 2024
CWE ID 401

Summary

CVE-2024-24150 is a vulnerability found in the libming v0.4.8 library, affecting the product aVaSHk. It is categorized as CWE-401 (Missing Release of Memory after Effective Lifetime) and has a base severity rating of MEDIUM. This vulnerability allows attackers to cause a denial of service by exploiting a memory leak issue in the parseSWF_TEXTRECORD function when processing a crafted SWF file. The exploitability score is 2.8, indicating that it is fairly easy for an attacker to exploit this vulnerability. Although no specific remediation steps are mentioned, organizations using the affected product should consider updating to a patched version or implementing other security measures to prevent exploitation. The potential danger posed by this vulnerability lies in its ability to disrupt the availability of the affected system or application, as reflected in the high availability impact score.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-24150 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options